local which = matches[2]:lower()

if which == "phrase" then
    -- death phrase
    if Bashmatic.death.event then
        killTrigger(Bashmatic.death.event)
    end
    Bashmatic.death.phrase = matches[3]
    Bashmatic.death.event = tempRegexTrigger(".*" .. Bashmatic.death.phrase .. ".*",handleMobDeath)     
    cecho("\n<DarkSlateBlue>Bashmatic: Reset the death event trigger phrase to " .. matches[3] .. ".<reset>")
elseif which == "start" then
    -- starting battle command
    Bashmatic.commands.start = matches[3]
    cecho("\n<DarkSlateBlue>Bashmatic: Set battle start command to " .. matches[3] .. " target.<reset>")
elseif which == "before" then
    -- before battle command
    Bashmatic.commands.before = matches[3]
    cecho("\n<DarkSlateBlue>Bashmatic: Will send " .. matches[3] .. " before battle start.<reset>")
elseif which == "during" then
    -- during battle command
    Bashmatic.comands.during = matches[3]
    cecho("\n<DarkSlateBlue>Bashmatic: Will send " .. matches[3] .. " during battle every " .. Bashmatic.commands.duringTime .. " seconds.<reset>")
elseif which == "duringTime" then
    -- during battle command time frame
    Bashmatic.commands.duringTime = tonumber(mathces[3])
    cecho("\n<DarkSlateBlue>Bashmatic: Will send " .. Bashmatic.commands.during .. " during battle every " .. tonumber(matches[3]) .. " seconds.<reset>")
elseif which == "after" then
    -- after battle command
    Bashmatic.commands.after = matches[3]
    cecho("\n<DarkSlateBlue>Bashmatic: Will send " .. matches[3] .. " after combat.<reset>")
elseif which == "lowercase" then
    -- Converting target to lowercase in battle start command
    if not table.contains({"yes", "no"}, matches[3]:lower()) then
        cecho("\n<firebrick>Bashmatic: You need to set lowercase target conversion to yes or no.")
        return
    end
    if matches[3]:lower() == "yes" then Bashmatic.enemies.lowercase = true end
    if matches[3]:lower() == "no" then Bashmatic.enemies.lowercase = false end
    if Bashmatic.enemies.lowercase then
        cecho("\n<DarkSlateBlue>Bashmatic: Will now convert targets to lowercase in starting command.")
    else
        cecho("\n<DarkSlateBlue>Bashmatic: Will no longer convert targets to lowercase in starting command.")
    end
elseif which == "group" then
    -- group by area
    if #getRooms() == 0 then
        Bashmatic.enemies.group = false
        cecho("\n<firebrick>Bashmatic: No map detected. Did you make one? You need at least one room to use this feature.<reset>")
    else
        if not table.contains({"yes", "no"}, matches[3]:lower()) then
            cecho("\n<firebrick>Bashmatic: You need to set enemy grouping by area to either yes or no.<reset>")
            return
        end
        if matches[3]:lower() == "yes" then Bashmatic.enemies.group = true end
        if matches[3]:lower() == "no" then Bashmatic.enemies.group = false end
        if Bashmatic.enemies.group then
            -- we've just turned on enemy grouping
            Bashmatic.enemies.targets = {}
            cecho("\n<DarkSlateBlue>Bashmatic: Now grouping enemies by areas. Cleared previous enemies.<reset>")
        else
            -- we've just turned off enemy grouping
            squashTargetGroups()
            cecho("\n<DarkSlateBlue>Bashmatic: No longer grouping enemies by areas. Squashed previous enemies into one large table.\nYou can bm clear to erase them.<reset>")
        end
    end
else
    cecho("\n<firebrick>Bashmatic: Unrecognized option " .. matches[3] .. ". See bm help for a list of options.")
end